Subject: Catalog list

From: [email-masked] (Kris Benarcik)
Date: 3 Jan 1995 19:13:56 GMT

In our Arboretum's quarterly publication, the Hybrid, we just did an
article called "Winter Dreaming".  This article features some area
gardeners who give information on their three favorite catalogs.  If you
are interested in a copy of this article, please e-mail me directly, let me
know your name and mailing address and I'll send you a copy of the article.

Kris Benarcik ([email-masked])
The Scott Arboretum of Swarthmore College